# Verify Whitelist

## Verify Whitelist

<mark style="color:green;">`POST`</mark> `https://api.sonorancms.com/servers/verify_whitelist`

Verifies the whitelist of a community account found given the accId or API ID.

#### Request Body

| Name | Type   | Description                    |
| ---- | ------ | ------------------------------ |
| id   | string | Community ID                   |
| key  | string | API Key                        |
| type | string | GET\_GAM&#x45;*\_*&#x53;ERVERS |
| data | array  |                                |

{% tabs %}
{% tab title="200: OK The following text responses may be sent in response:" %}

```javascript
{{Sonoran CMS Account Username}}
BYPASSED WHITELIST - {{Sonoran CMS Account Username}}
```

{% endtab %}

{% tab title="400: Bad Request The following text responses may be sent in response:" %}

```json
{
    "status": 400,
    "message": "VALID BAD REQUEST REASON"
}
```

{% endtab %}

{% tab title="404: Not Found The following text responses may be sent in response:" %}

```javascript
NOT ALLOWED ON WHITELIST
```

{% endtab %}
{% endtabs %}

```json
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "VERIFY_WHITELIST",
    "data": [
        {
            // User Identification
            "apiId": "SOME_API_ID", // Optional - must have one
            "username": "SOMEUSERNAME", // Optional - must have one
            "accId": "SOMEACCID", // Optional - must have one
            "discord": "111122223333444455", // Optional - must have one
            "uniqueId": 1234 // Optional - must have one
            // Configuration
            "serverId": 2 // Optional - will check specific server whitelist if specified
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/servers/verify-whitelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
